Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.util.concurrent
Class ForwardingListeningExecutorService

    java.lang.Object
      com.google.common.collect.ForwardingObject
          com.google.common.util.concurrent.ForwardingExecutorService
              com.google.common.util.concurrent.ForwardingListeningExecutorService

All Implemented Interfaces:
  ListeningExecutorService, Executor, ExecutorService

    public abstract class ForwardingListeningExecutorService

extends ForwardingExecutorService
implements ListeningExecutorService

A listening executor service which forwards all its method calls to another listening executor service. Subclasses should override one or more methods to modify the behavior of the backing executor service as desired per the decorator pattern.

Since:
  10.0
Author:
  Isaac Shum

Constructor Summary
`protected` | `ForwardingListeningExecutorService()` Constructor for use by subclasses.

Method Summary
`protected abstract ListeningExecutorService` | `delegate()` Returns the backing delegate instance that methods are forwarded to.
`
`<T> ListenableFuture<T>`
` | `submit(Callable<T> task)`
`ListenableFuture<?>` | `submit(Runnable task)`
`
`<T> ListenableFuture<T>`
` | `submit(Runnable task, T result)`

Methods inherited from class com.google.common.util.concurrent.ForwardingExecutorService
`awaitTermination, execute, invokeAll, invokeAll, invokeAny, invokeAny, isShutdown, isTerminated, shutdown, shutdownNow`

Methods inherited from class com.google.common.collect.ForwardingObject
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.common.util.concurrent.ListeningExecutorService
`invokeAll, invokeAll`

Methods inherited from interface java.util.concurrent.ExecutorService
`awaitTermination, invokeAny, invokeAny, isShutdown, isTerminated, shutdown, shutdownNow`

Methods inherited from interface java.util.concurrent.Executor
`execute`

Constructor Detail

### ForwardingListeningExecutorService

    protected ForwardingListeningExecutorService()

  Constructor for use by subclasses.

Method Detail

### delegate

    protected abstract ListeningExecutorService delegate()

  Description copied from class: `ForwardingObject`
  Returns the backing delegate instance that methods are forwarded to. Abstract subclasses generally override this method with an abstract method that has a more specific return type, such as `ForwardingSet.delegate()`. Concrete subclasses override this method to supply the instance being decorated.

  Specified by:
    `delegate` in class `ForwardingExecutorService`

### submit

    public <T> ListenableFuture<T> submit(Callable<T> task)

  Specified by:
    `submit` in interface `ListeningExecutorService`
  Specified by:
    `submit` in interface `ExecutorService`
  Overrides:
    `submit` in class `ForwardingExecutorService`
  Returns:
    a `ListenableFuture` representing pending completion of the task

### submit

    public ListenableFuture<?> submit(Runnable task)

  Specified by:
    `submit` in interface `ListeningExecutorService`
  Specified by:
    `submit` in interface `ExecutorService`
  Overrides:
    `submit` in class `ForwardingExecutorService`
  Returns:
    a `ListenableFuture` representing pending completion of the task

### submit

    public <T> ListenableFuture<T> submit(Runnable task,
                                          T result)

  Specified by:
    `submit` in interface `ListeningExecutorService`
  Specified by:
    `submit` in interface `ExecutorService`
  Overrides:
    `submit` in class `ForwardingExecutorService`
  Returns:
    a `ListenableFuture` representing pending completion of the task

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2011. All Rights Reserved.